xcb_shape_select_input(3)

NAME
xcb_shape_select_input -

SYNOPSIS
#include <xcb/shape.h>

  Request function

xcb_void_cookie_t xcb_shape_select_input(xcb_connection_t *conn, xcb_window_t destination_window, uint8_t enable);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

destination_window
    TODO: NOT YET DOCUMENTED.

enable
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_shape_select_input_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from shape.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.